#
# spec file for package perl-File-Slurper
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Slurper
Version:        0.012
Release:        lp150.1.1
%define cpan_name File-Slurper
Summary:        Simple, Sane and Efficient Module to Slurp a File
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Slurper/
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Warnings)
Recommends:     perl(PerlIO::utf8_strict)
%{perl_requires}

%description
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported. All functions throw exceptions on
errors, write functions don't return any meaningful value.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Feb 21 2018 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.012     2018-02-20 21:53:30+01:00 Europe/Amsterdam
    Depend on Encode 2.11 for STOP_AT_PARTIAL
* Tue Dec 19 2017 coolo@suse.com
- updated to 0.011
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.011     2017-12-18 21:23:24+01:00 Europe/Amsterdam
    Correctly set value of $PerlIO::encoding::fallback
    Don't skip latin-1 checking
* Mon Sep 18 2017 coolo@suse.com
- updated to 0.010
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.010     2017-09-17 22:09:05+02:00 Europe/Amsterdam
    Recognize "latin-1" as iso-8859-1
* Sat Aug  6 2016 coolo@suse.com
- updated to 0.009
  see /usr/share/doc/packages/perl-File-Slurper/Changes
  0.009     2016-08-05 18:26:58+02:00 Europe/Amsterdam
    Load PerlIO::encoding before localizing $PerlIO::encoding::fallback
* Tue Nov 17 2015 coolo@suse.com
- initial package 0.008
  * created by cpanspec 1.78.08
